%define upstream_name    Net-Bonjour
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Module for DNS service discovery ( Zeroconf )
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CH/CHLIGE//%{upstream_name}-%{upstream_version}.tar.bz2
Patch1:     0.96-fix-failing-tests.patch

BuildRequires:  perl(Net::DNS)
BuildArch:  noarch


Obsoletes: perl-Net-Rendezvous < 0.90
Provides:  perl-Net-Rendezvous = %{version}

%description
Net::Bonjour is a set of modules that allow one to discover local services
via multicast DNS (mDNS) or enterprise services via traditional DNS. This
method of service discovery has been branded as Rendezvous ( now Bonjour ) by
Apple Computer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.960.0-11.mga9
+ Revision: 1804808
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.960.0-10.mga8
+ Revision: 1495788
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.960.0-9.mga7
+ Revision: 1269892
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.960.0-8.mga6
+ Revision: 1030987
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.960.0-7.mga6
+ Revision: 965601
- Mageia 6 Mass Rebuild

* Wed Mar 04 2015 shlomif <shlomif> 0.960.0-6.mga5
+ Revision: 817652
- Fix failing (on the BS) tests, revise the desc, update URL

* Wed Oct 15 2014 umeabot <umeabot> 0.960.0-5.mga5
+ Revision: 743277
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.960.0-4.mga5
+ Revision: 685628
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.960.0-3.mga4
+ Revision: 513373
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.960.0-2.mga3
+ Revision: 370505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 33981
- mageia rebuild
- imported package perl-Net-Bonjour


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-1mdv2010.0
+ Revision: 407813
- rebuild using %%perl_convert_version

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-1mdv2010.0
+ Revision: 372111
- update to new version 0.96

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.95-4mdv2009.0
+ Revision: 257952
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.95-3mdv2009.0
+ Revision: 246004
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.95-1mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.95-1mdv2008.0
+ Revision: 25203
- Import perl-Net-Bonjour

